Subject: Re: cw/header-compat-util-shuffle (was Re: What's cooking in git.git (Jun 2023, #07; Tue, 27))

From: Junio C Hamano <[email-masked]>
Date: Wed, 28 Jun 2023 15:47:32 -0700

Junio C Hamano <[email-masked]> writes:

> If the topic is too disruptive, however, they may have to synthesize
> a good base (i.e. "merge on top of 'master' topics A, B and C, and
> then queue these patches") but it may not be possible (e.g. among
> the topics it interacts with, some topic may not yet be stable to
> build on), in which case they must catch up quickly every time these
> other topics it depends on are updated to avoid being left behind.
>
> If the contributor cannot afford the time for quicker turnaround
> that way, it would very much help everybody to announce that they
> tentatively withdraw the topic until the other topics get more
> stable, after which time they will send an updated version.  It
> will help everybody, including those who want to build on top of
> what the series adds.

Oh, another thing.  Such a contributor who is blocked by topics by
others can help their own series by helping these other topics get
polished, i.e. with additional reviews, additional test reports,
etc.